### Method

# Gtk CheckButtonset_child

since: 4.8

#### Declaration [src]

    void
    gtk_check_button_set_child (
      GtkCheckButton* button,
      GtkWidget* child
    )

#### Description [src]

Sets the child widget of `button`.

Note that by using this API, you take full responsibility for setting up the proper accessibility label and description information for `button`. Most likely, you’ll either set the accessibility label or description for `button` explicitly, or you’ll set a labelled-by or described-by relations from `child` to `button`.

Available since: 4.8

Sets property | `Gtk.CheckButton:child`

#### Parameters

`child`

  Type: `GtkWidget`

  The child widget.

  The argument can be `NULL`.
  The data is owned by the caller of the method.